#include "helper_fn.h"
#include <cstdlib>
#include <ctime>

NotableDay notableDays[] = { // Max characters in a notable day is 39 characters
  {1, 1, {"New Years Day!"}},
  {1, 2, {"Ninth Day of Christmas"}},
  {1, 4, {"National Trivia Day", "World Braille Day"}},
  {1, 5, {"The Twelfth Night of Christmas"}},
  {1, 7, {"Festa del Tricolore"}},
  {1, 8, {"International Typing Day"}},
  {1, 16, {"Blue Monday"}},
  {1, 18, {"Whinnie the Pooh Day"}},
  {1, 24, {"International Day of Education"}},
  {1, 25, {"Burns Night"}},
  {1, 26, {"International Day of Clean Energy"}},
  {1, 27, {"Holocaust Memorial Day"}},
  {2, 2, {"Candlemas", "World Wetlands Day"}},
  {2, 4, {"World Cancer Day", "International Day of Human Fraternity"}},
  {2, 6, {"Anti-FGM Day"}},
  {2, 10, {"Intl. Day of the Arabian Leopard", "World Pulses Day"}},
  {2, 11, {"Internation Day of Women and Girls in Science"}},
  {2, 13, {"World Radio Day"}},
  {2, 14, {"St. Valentine's Day"}},
  {2, 15, {"International Choldhood Cancer Day"}},
  {2, 17, {"Global Tourism Resilience Day"}},
  {2, 20, {"World Day of Social Justice"}},
  {2, 21, {"International Mother Language Day"}},
  {2, 22, {"World Thinking Day"}},
  {2, 29, {"Leap Year Day"}},
  {3, 1, {"St. David's Day", "Zero Discrimination Day", "World Seagrass Day"}},
  {3, 3, {"World Wildlife Day"}},
  {3, 8, {"International Women's Day"}},
  {3, 10, {"International Day of Women Judges"}},
  {3, 15, {"Combat Islamophobia Day"}},
  {3, 20, {"International Happiness Day", "French Language Day"}},
  {3, 21, {"World Poetry Day", "Intl. Day of Nowruz", "World Down Syndrome Day"}},
  {3, 22, {"World Water Day"}},
  {3, 23, {"World Meteorological Day"}},
  {3, 24, {"World Tuberculosis Day"}},
  {3, 25, {"Transatlantic Slavery Remembrance Day"}},
  {3, 30, {"International Zero Waste Day"}},
  {5, 5, {"St. Piran's Day"}},
  {6, 5, {"St. Boniface's Day"}},
  {11, 5, {"World Tsunami Awareness Day"}},
  {11, 14, {"World Diabetes Day"}},
  {11, 16, {"International Day for Tolerance"}},
  {11, 19, {"World Toilet Day"}},
  {11, 20, {"Africa Indistrialisation Day", "World Children's Day"}},
  {11, 21, {"World Television Day", "World Philosophy Day"}},
  {11, 24, {"World Conjoined Twins Day"}},
  {11, 25, {"World Sustainable Transport Day"}},
  {11, 28, {"Panaman Independence Day", "Bedfordshire Day"}},
  {11, 29, {"Feast of Illuminata"}},
  {11, 30, {"St. Andrew's Day", "Computer Security Day"}},
  {12, 1, {"World AIDS Day"}},
  {12, 2, {"Day for the Abolition of Slavery"}},
  {12, 4, {"International Day of Banks"}},
  {12, 5, {"World Soil Day"}},
  {12, 7, {"International Civil Aviation Day"}},
  {12, 9, {"International Anti-Corruption Day"}},
  {12, 10, {"Human Rights Day"}},
  {12, 11, {"International Mountain Day"}},
  {12, 12, {"International Day of Neutrality"}},
  {12, 13, {"National Cocoa Day"}},
  {12, 18, {"Arabic Language Day", "International Migrants Day"}},
  {12, 20, {"International Human Solidarity Day"}},
  {12, 21, {"Abolishion of Slavery Day"}},
  {12, 22, {"Dongzhi Festival"}},
  {12, 23, {"Flag Flying Day (Sweden)", "Festivus"}},
  {12, 24, {"Christmas Eve"}},
  {12, 25, {"Christmas Day"}},
  {12, 26, {"Boxing Day"}},
  {12, 27, {"Epidemic Preparedness Day"}},
  {12, 28, {"Fourth Day of Christmas"}},
  {12, 29, {"Fifth Day of Christmas"}},
  {12, 30, {"Sixth Day of Christmas"}},
  {12, 31, {"New Year's Eve"}}
};

String getNotableDay(int month, int day) {
  for (NotableDay notable : notableDays) {
    if (notable.month == month && notable.day == day) {
      // Count the number of non-empty notable days
      int count = 0;
      for (String notableDay : notable.notableDays) {
        if (notableDay != "") {
          count++;
        }
      }

      if (count > 0) {
        // Pick a random notable day
        int randomIndex = rand() % count;
        return notable.notableDays[randomIndex];
      }
    }
  }
  return "Today is not a special day"; // Return an empty string if no notable day is found
}