#ifndef NEXTCLOUD_CAL_H
#define NEXTCLOUD_CAL_H

#include <Arduino.h>
#include <time.h>

struct StartEnd {
    time_t start;
    time_t end;
};

struct VEvent {
  String dtstamp;
  String dtstart;
  String dtend;
  String summary;
};

struct Calendar {
  String name;
  String color;
  std::vector<VEvent> events;
};

struct StartEnd calculateStartEnd();
Calendar downloadICSFile(const String& url, const String& startTime, const String& endTime, const String& username, const String& password);

Calendar parseVCalendar(String vcalData);

#endif