#include <WiFi.h>
#include <time.h>

void scanNetworks() {
  Serial.println("Scanning for available WiFi networks...");
  int networkCount = WiFi.scanNetworks();
  Serial.println("Scan complete!");

  if (networkCount == 0) {
    Serial.println("No networks found!");
  } else {
    for (int i = 0; i < networkCount; i++) {
      Serial.print("Network Name: ");
      Serial.print(WiFi.SSID(i));
      Serial.print(", Signal Strength: ");
      Serial.println(WiFi.RSSI(i));
    }
  }
}


bool updateTime() {
  configTime(0,0,"pool.ntp.org");
  struct tm timeinfo;

  if (!getLocalTime(&timeinfo)) {
    #ifdef DEBUG_MODE
      Serial.println("Failed to fetch time from NTP");
    #endif
    return false;
  }
  #ifdef DEBUG_MODE
    Serial.printf("Time updated: %s\n", asctime(&timeinfo));
  #endif
  return true;
}